grst_htcp.c File Reference

## Functions

int | GRSThtcpNOPrequestMake (char **request, int *request_length, unsigned int trans_id)
int | GRSThtcpNOPresponseMake (char **message, int *message_length, unsigned int trans_id)
int | GRSThtcpTSTrequestMake (char **request, int *request_length, unsigned int trans_id, char *method, char *uri, char *req_hdrs)
int | GRSThtcpTSTresponseMake (char **message, int *message_length, unsigned int trans_id, char *resp_hdrs, char *entity_hdrs, char *cache_hdrs)
int | GRSThtcpMessageParse (GRSThtcpMessage *parsed, char *raw, int length)

## Function Documentation

## GRSThtcpMessageParse()

int GRSThtcpMessageParse | ( | GRSThtcpMessage * | parsed,
|  | char * | raw,
|  | int | length )

## GRSThtcpNOPrequestMake()

int GRSThtcpNOPrequestMake | ( | char ** | request,
|  | int * | request_length,
|  | unsigned int | trans_id )

## GRSThtcpNOPresponseMake()

int GRSThtcpNOPresponseMake | ( | char ** | message,
|  | int * | message_length,
|  | unsigned int | trans_id )

## GRSThtcpTSTrequestMake()

int GRSThtcpTSTrequestMake | ( | char ** | request,
|  | int * | request_length,
|  | unsigned int | trans_id,
|  | char * | method,
|  | char * | uri,
|  | char * | req_hdrs )

## GRSThtcpTSTresponseMake()

int GRSThtcpTSTresponseMake | ( | char ** | message,
|  | int * | message_length,
|  | unsigned int | trans_id,
|  | char * | resp_hdrs,
|  | char * | entity_hdrs,
|  | char * | cache_hdrs )